mIRC Home    About    Download    Register    News    Help

Print Thread
Checking for updates broken on WinXP with 7.52 #262645 05/03/18 07:45 PM
Joined: Aug 2005
Posts: 25
T
TheShadowRunner Offline OP
Ameglian cow
OP Offline
Ameglian cow
T
Joined: Aug 2005
Posts: 25
Hey, upgraded to 7.52 on WinXP SP3 32Bit and since then cannot check for mIRC updates.
Error "Unable to check for update".
I'm guessing it has to do with the fact WinXP doesn't support some types of SSL, like TLS 1.2 I believe.
Please revert or fix!
Thanks for your support.

TSR

Re: Checking for updates broken on WinXP with 7.52 [Re: TheShadowRunner] #262646 06/03/18 01:42 AM
Joined: Feb 2003
Posts: 2,688
Raccoon Offline
Hoopy frood
Offline
Hoopy frood
Joined: Feb 2003
Posts: 2,688
SSL TLS encryption is necessary to prevent third parties from tampering with your computer. Whether by masquerading as mirc.com by hijacking your DNS resolution or by intercepting and replacing the mIRC's installer download packets, this can happen while you are at home or especially on a public wifi network (coffee shop, hotel, etc).

It is the industry expectation today. Call it a good-faith requirement.


Well. At least I won lunch.
Good philosophy, see good in bad, I like!
Re: Checking for updates broken on WinXP with 7.52 [Re: Raccoon] #262647 06/03/18 02:50 AM
Joined: Aug 2005
Posts: 25
T
TheShadowRunner Offline OP
Ameglian cow
OP Offline
Ameglian cow
T
Joined: Aug 2005
Posts: 25
mIRC claims Win XP support therefore checking for updates should be available and this feature being broken is a bug.

mIRC should at least fall back to TLS 1.0 on Win XP. TLS 1.0 is still secure and the best solution for the old OS.

Please Khaled add TLS1.0 fall back for WinXP to allow checking for updates.

Re: Checking for updates broken on WinXP with 7.52 [Re: TheShadowRunner] #262648 06/03/18 10:03 AM
Joined: Dec 2002
Posts: 4,727
Khaled Offline
Hoopy frood
Offline
Hoopy frood
Joined: Dec 2002
Posts: 4,727
I generally go out of my way to support older versions of Windows, however Windows XP is now so old that it is simply not practical to support it. As its market share is so low, I will be removing stated support for XP from the download page quite soon.

Regarding your specific issue, the limit is actually with the mIRC website, which uses the intermediate level of TLS support recommended by Mozilla. This includes a range of protocols which provide backward compatibility to some degree, including TLS 1.0, but excludes the most insecure protocols. In this case, the issue is probably that Windows XP does not support AES.

I will be changing this in the next version so that mIRC does not use a secure HTTP connection under XP.

Re: Checking for updates broken on WinXP with 7.52 [Re: Khaled] #262649 06/03/18 02:05 PM
Joined: Feb 2003
Posts: 2,688
Raccoon Offline
Hoopy frood
Offline
Hoopy frood
Joined: Feb 2003
Posts: 2,688
Khaled: Can you disable automatic-update lookup (by DEFAULT) on XP, so that an XP user must manually turn it on.


Well. At least I won lunch.
Good philosophy, see good in bad, I like!
Re: Checking for updates broken on WinXP with 7.52 [Re: Khaled] #262652 07/03/18 02:45 PM
Joined: Dec 2002
Posts: 339
D
Doomstars Offline
Fjord artisan
Offline
Fjord artisan
D
Joined: Dec 2002
Posts: 339
Originally Posted By: Khaled
I generally go out of my way to support older versions of Windows, however Windows XP is now so old that it is simply not practical to support it. As its market share is so low, I will be removing stated support for XP from the download page quite soon.


XP security issues aside... rather than removing stated support for XP on the download page, perhaps mention limited support or note that not all features will work? I'm just worried that you'll follow suit like other software makers and completely cut off XP.

Such as, "The latest version of mIRC is mIRC v7.52 for Windows Vista/7/8/10 and can be downloaded through this page. Limited support for Windows XP."